petsc-3.4.2 2013-07-02

# PetscObjectAMSSetBlock

Sets whether an object will block at PetscObjectAMSBlock()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectAMSSetBlock(PetscObject obj,PetscBool flg)

Collective on PetscObject

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);
| flg | - whether it should block

### See Also

PetscObjectSetName(), PetscObjectAMSViewOff(), PetscObjectAMSBlock()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages